package com.flyfish.framework.domain.base;

import com.flyfish.framework.builder.CriteriaBuilder;
import lombok.Getter;
import lombok.Setter;

/**
 * 属性菜单的qo
 */
@Getter
@Setter
public class TreeQo<T extends Domain> extends NameLikeQo<T> {

    private Boolean leaf;

    private Integer level;

    @Override
    public CriteriaBuilder<T> criteriaBuilder() {
        return super.criteriaBuilder()
                .with("level", "leaf");
    }
}
