package com.flyfish.framework.logging.annotation;

import com.flyfish.framework.logging.config.LoggingConfig;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用日志
 *
 * @author wangyu
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Import(LoggingConfig.class)
public @interface EnableLogging {
}
